'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var jsCore = require('@lorisleiva/js-core');
var jsEddsaWeb3js = require('@lorisleiva/js-eddsa-web3js');
var jsHttpFetch = require('@lorisleiva/js-http-fetch');
var jsProgramRepository = require('@lorisleiva/js-program-repository');
var jsRpcWeb3js = require('@lorisleiva/js-rpc-web3js');
var jsSerializerBeet = require('@lorisleiva/js-serializer-beet');
var jsStorageMock = require('@lorisleiva/js-storage-mock');
var jsTransactionFactoryWeb3js = require('@lorisleiva/js-transaction-factory-web3js');

const testPlugins = (endpoint = 'http://localhost:8899', rpcOptions = 'confirmed') => ({
  install(metaplex) {
    metaplex.use(jsSerializerBeet.beetSerializer());
    metaplex.use(jsProgramRepository.defaultProgramRepository());
    metaplex.use(jsHttpFetch.fetchHttp());
    metaplex.use(jsEddsaWeb3js.web3JsEddsa());
    metaplex.use(jsRpcWeb3js.web3JsRpc(endpoint, rpcOptions));
    metaplex.use(jsTransactionFactoryWeb3js.web3JsTransactionFactory());
    metaplex.use(jsStorageMock.mockStorage());
    metaplex.use(jsCore.generatedSignerIdentity());
  }
});

exports.testPlugins = testPlugins;
//# sourceMappingURL=plugin.cjs.map
